# Baselines REST API Guide

## List of baselines based on user permissions and filters

> List of baselines based on user permissions and filters

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"baseline-v3","description":"CRUD for baseline"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"filter":{"name":"filter","in":"query","description":"Allows you to filter by any field.","required":false,"schema":{"type":"string"}},"search":{"name":"search","in":"query","description":"Allows you to search by any field.","required":false,"schema":{"type":"string"}},"ordering":{"name":"ordering","in":"query","description":"Allows you to order results by any field. For desc order prefix field name with `-` and provide comman separated values for multiple fields","required":false,"schema":{"type":"string"}},"limit":{"name":"limit","in":"query","description":"Limit for the pagination","required":false,"schema":{"type":"integer"}},"offset":{"name":"offset","in":"query","description":"Offset for the pagination","required":false,"schema":{"type":"integer"}}},"schemas":{"PaginatedApiResponse":{"type":"object","description":"Response object for paginated API responses.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"PAGINATED","enum":["PAGINATED"],"description":"Type of response, indicating a paginated response.\n"},"data":{"type":"object","properties":{"page_size":{"type":"integer","default":10,"description":"Number of items per page in the response.\n"},"item_count":{"type":"integer","default":10,"description":"Number of items in the current page.\n"},"total":{"type":"integer","default":100,"description":"Total number of items across all pages.\n"},"page_count":{"type":"integer","default":10,"description":"Total number of pages.\n"},"page_index":{"type":"integer","default":1,"description":"Current page index.\n"},"offset":{"type":"integer","default":0,"description":"Offset of the first item in the current page.\n"}}}}},"Baselines":{"type":"array","items":{"$ref":"#/components/schemas/Baseline"}},"Baseline":{"allOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the baseline"},"name":{"type":"string","description":"A name describing the baseline"},"type":{"type":"string","enum":["STATIC","ROLLING"],"description":"The type of baseline, indicating whether it is STATIC or ROLLING."},"row_count":{"type":"integer","nullable":true,"description":"Number of rows in the baseline"},"start_time":{"type":"integer","description":"Start time in milliseconds from epoch for production data","nullable":true},"end_time":{"type":"integer","description":"End time in milliseconds from epoch for production data","nullable":true},"offset_delta":{"type":"integer","description":"x is offset delta for offset=x*window_bin_size","nullable":true,"minimum":1},"window_bin_size":{"$ref":"#/components/schemas/WindowBinSize"},"model":{"$ref":"#/components/schemas/ModelCompact"},"project":{"$ref":"#/components/schemas/ProjectCompact"},"organization":{"$ref":"#/components/schemas/OrganizationCompact"},"environment":{"$ref":"#/components/schemas/EnvironmentCompact"}},"required":["id","name","type","row_count","model","project","organization","environment"]},{"$ref":"#/components/schemas/TimestampResponse"}]},"WindowBinSize":{"type":"string","description":"Window size to be used for relative baseline","enum":["Hour","Day","Week","Month"]},"ModelCompact":{"type":"object","title":"ModelCompact","description":"Compact version of a model which can be included in the response of relevant APIs.\n","required":["id","name","version"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the model.\n"},"name":{"type":"string","description":"Name of the model.\n"},"version":{"type":"string","description":"Version of the model.\n"}}},"ProjectCompact":{"type":"object","title":"ProjectCompact","description":"Compact version of a project which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project.\n"},"name":{"type":"string","description":"Name of the project.\n"},"asset_type":{"type":"string","enum":["ML_MODEL","GEN_AI_APP"],"description":"Type of assets the project can have.\n"}}},"OrganizationCompact":{"type":"object","title":"OrganizationCompact","description":"Compact version of an organization which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the organization.\n"},"name":{"type":"string","description":"Name of the organization.\n"}}},"EnvironmentCompact":{"type":"object","title":"EnvironmentCompact","description":"Compact version of an environment which can be included in the response of relevant APIs.\n","required":["id","type","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the environment.\n"},"type":{"type":"string","enum":["PRE_PRODUCTION","PRODUCTION"],"description":"Type of the environment (e.g., pre-production, production).\n"},"name":{"type":"string","description":"Name of the environment.\n"}}},"TimestampResponse":{"type":"object","title":"timestamp","description":"To record created at and updated at timestamp fields","required":["created_at","updated_at"],"properties":{"created_at":{"type":"string","format":"date-time","description":"To capture created at timestamp"},"updated_at":{"type":"string","format":"date-time","description":"To capture updated at timestamp"}}},"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/v3/baselines":{"get":{"tags":["baseline-v3"],"summary":"List of baselines based on user permissions and filters","description":"List of baselines based on user permissions and filters","operationId":"getBaselinesV3","parameters":[{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/ordering"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/offset"}],"responses":{"200":{"description":"List of baselines","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedApiResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"items":{"$ref":"#/components/schemas/Baselines"}}}}}]}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## add baseline to a model

> Adds a baseline to a model

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"baseline-v3","description":"CRUD for baseline"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"AddBaselineRequestBody":{"type":"object","required":["name","model_id","type","env_type"],"properties":{"name":{"type":"string","description":"A name describing the baseline"},"model_id":{"type":"string","format":"uuid","description":"The unique identifier for the model associated with the baseline"},"type":{"type":"string","enum":["STATIC","ROLLING"],"description":"The type of baseline, indicating whether it is STATIC or ROLLING."},"env_type":{"type":"string","enum":["PRODUCTION","PRE_PRODUCTION"],"description":"The environment type for the baseline, indicating whether it applies to production or pre-production environments."},"env_id":{"type":"string","format":"uuid","nullable":true,"description":"Required when env_type is PRE_PRODUCTION"},"start_time":{"type":"integer","description":"Start time in milliseconds from epoch for production data","nullable":false},"end_time":{"type":"integer","description":"End time in milliseconds from epoch for production data","nullable":false},"offset_delta":{"type":"integer","description":"x is offset delta for offset=x*window_bin_size","nullable":false,"minimum":1},"window_bin_size":{"$ref":"#/components/schemas/WindowBinSize"}}},"WindowBinSize":{"type":"string","description":"Window size to be used for relative baseline","enum":["Hour","Day","Week","Month"]},"ApiResponse":{"type":"object","description":"Response object for standard API responses.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version.\n"},"kind":{"type":"string","default":"NORMAL","enum":["NORMAL"],"description":"Type of response, indicating a normal response.\n"}}},"Baseline":{"allOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the baseline"},"name":{"type":"string","description":"A name describing the baseline"},"type":{"type":"string","enum":["STATIC","ROLLING"],"description":"The type of baseline, indicating whether it is STATIC or ROLLING."},"row_count":{"type":"integer","nullable":true,"description":"Number of rows in the baseline"},"start_time":{"type":"integer","description":"Start time in milliseconds from epoch for production data","nullable":true},"end_time":{"type":"integer","description":"End time in milliseconds from epoch for production data","nullable":true},"offset_delta":{"type":"integer","description":"x is offset delta for offset=x*window_bin_size","nullable":true,"minimum":1},"window_bin_size":{"$ref":"#/components/schemas/WindowBinSize"},"model":{"$ref":"#/components/schemas/ModelCompact"},"project":{"$ref":"#/components/schemas/ProjectCompact"},"organization":{"$ref":"#/components/schemas/OrganizationCompact"},"environment":{"$ref":"#/components/schemas/EnvironmentCompact"}},"required":["id","name","type","row_count","model","project","organization","environment"]},{"$ref":"#/components/schemas/TimestampResponse"}]},"ModelCompact":{"type":"object","title":"ModelCompact","description":"Compact version of a model which can be included in the response of relevant APIs.\n","required":["id","name","version"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the model.\n"},"name":{"type":"string","description":"Name of the model.\n"},"version":{"type":"string","description":"Version of the model.\n"}}},"ProjectCompact":{"type":"object","title":"ProjectCompact","description":"Compact version of a project which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project.\n"},"name":{"type":"string","description":"Name of the project.\n"},"asset_type":{"type":"string","enum":["ML_MODEL","GEN_AI_APP"],"description":"Type of assets the project can have.\n"}}},"OrganizationCompact":{"type":"object","title":"OrganizationCompact","description":"Compact version of an organization which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the organization.\n"},"name":{"type":"string","description":"Name of the organization.\n"}}},"EnvironmentCompact":{"type":"object","title":"EnvironmentCompact","description":"Compact version of an environment which can be included in the response of relevant APIs.\n","required":["id","type","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the environment.\n"},"type":{"type":"string","enum":["PRE_PRODUCTION","PRODUCTION"],"description":"Type of the environment (e.g., pre-production, production).\n"},"name":{"type":"string","description":"Name of the environment.\n"}}},"TimestampResponse":{"type":"object","title":"timestamp","description":"To record created at and updated at timestamp fields","required":["created_at","updated_at"],"properties":{"created_at":{"type":"string","format":"date-time","description":"To capture created at timestamp"},"updated_at":{"type":"string","format":"date-time","description":"To capture updated at timestamp"}}},"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/v3/baselines":{"post":{"tags":["baseline-v3"],"summary":"add baseline to a model","description":"Adds a baseline to a model","operationId":"addBaselineV3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddBaselineRequestBody"}}}},"responses":{"200":{"description":"successful baseline creation","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Baseline"}}}]}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"409":{"$ref":"#/components/responses/409"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Get baseline details

> Get baseline details

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"baseline-v3","description":"CRUD for baseline"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"baseline_id":{"name":"baseline_id","in":"path","description":"baseline id path parameter","required":true,"schema":{"type":"string","format":"uuid"}}},"schemas":{"ApiResponse":{"type":"object","description":"Response object for standard API responses.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version.\n"},"kind":{"type":"string","default":"NORMAL","enum":["NORMAL"],"description":"Type of response, indicating a normal response.\n"}}},"Baseline":{"allOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the baseline"},"name":{"type":"string","description":"A name describing the baseline"},"type":{"type":"string","enum":["STATIC","ROLLING"],"description":"The type of baseline, indicating whether it is STATIC or ROLLING."},"row_count":{"type":"integer","nullable":true,"description":"Number of rows in the baseline"},"start_time":{"type":"integer","description":"Start time in milliseconds from epoch for production data","nullable":true},"end_time":{"type":"integer","description":"End time in milliseconds from epoch for production data","nullable":true},"offset_delta":{"type":"integer","description":"x is offset delta for offset=x*window_bin_size","nullable":true,"minimum":1},"window_bin_size":{"$ref":"#/components/schemas/WindowBinSize"},"model":{"$ref":"#/components/schemas/ModelCompact"},"project":{"$ref":"#/components/schemas/ProjectCompact"},"organization":{"$ref":"#/components/schemas/OrganizationCompact"},"environment":{"$ref":"#/components/schemas/EnvironmentCompact"}},"required":["id","name","type","row_count","model","project","organization","environment"]},{"$ref":"#/components/schemas/TimestampResponse"}]},"WindowBinSize":{"type":"string","description":"Window size to be used for relative baseline","enum":["Hour","Day","Week","Month"]},"ModelCompact":{"type":"object","title":"ModelCompact","description":"Compact version of a model which can be included in the response of relevant APIs.\n","required":["id","name","version"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the model.\n"},"name":{"type":"string","description":"Name of the model.\n"},"version":{"type":"string","description":"Version of the model.\n"}}},"ProjectCompact":{"type":"object","title":"ProjectCompact","description":"Compact version of a project which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project.\n"},"name":{"type":"string","description":"Name of the project.\n"},"asset_type":{"type":"string","enum":["ML_MODEL","GEN_AI_APP"],"description":"Type of assets the project can have.\n"}}},"OrganizationCompact":{"type":"object","title":"OrganizationCompact","description":"Compact version of an organization which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the organization.\n"},"name":{"type":"string","description":"Name of the organization.\n"}}},"EnvironmentCompact":{"type":"object","title":"EnvironmentCompact","description":"Compact version of an environment which can be included in the response of relevant APIs.\n","required":["id","type","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the environment.\n"},"type":{"type":"string","enum":["PRE_PRODUCTION","PRODUCTION"],"description":"Type of the environment (e.g., pre-production, production).\n"},"name":{"type":"string","description":"Name of the environment.\n"}}},"TimestampResponse":{"type":"object","title":"timestamp","description":"To record created at and updated at timestamp fields","required":["created_at","updated_at"],"properties":{"created_at":{"type":"string","format":"date-time","description":"To capture created at timestamp"},"updated_at":{"type":"string","format":"date-time","description":"To capture updated at timestamp"}}},"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/v3/baselines/{baseline_id}":{"get":{"tags":["baseline-v3"],"summary":"Get baseline details","description":"Get baseline details","operationId":"getBaselineV3","parameters":[{"$ref":"#/components/parameters/baseline_id"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Baseline"}}}]}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Delete baseline from a model

> Delete baseline from a model

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"baseline-v3","description":"CRUD for baseline"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"baseline_id":{"name":"baseline_id","in":"path","description":"baseline id path parameter","required":true,"schema":{"type":"string","format":"uuid"}}},"responses":{"200":{"description":"Success","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"schemas":{"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}}},"paths":{"/v3/baselines/{baseline_id}":{"delete":{"tags":["baseline-v3"],"summary":"Delete baseline from a model","description":"Delete baseline from a model","operationId":"deleteBaselineV3","parameters":[{"$ref":"#/components/parameters/baseline_id"}],"responses":{"200":{"$ref":"#/components/responses/200"},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List of baselines of a model

> List of baselines of a model

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"baseline-v3","description":"CRUD for baseline"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"model_id":{"name":"model_id","in":"path","description":"model id path parameter","required":true,"schema":{"type":"string","format":"uuid"}},"filter":{"name":"filter","in":"query","description":"Allows you to filter by any field.","required":false,"schema":{"type":"string"}},"search":{"name":"search","in":"query","description":"Allows you to search by any field.","required":false,"schema":{"type":"string"}},"ordering":{"name":"ordering","in":"query","description":"Allows you to order results by any field. For desc order prefix field name with `-` and provide comman separated values for multiple fields","required":false,"schema":{"type":"string"}},"limit":{"name":"limit","in":"query","description":"Limit for the pagination","required":false,"schema":{"type":"integer"}},"offset":{"name":"offset","in":"query","description":"Offset for the pagination","required":false,"schema":{"type":"integer"}}},"schemas":{"PaginatedApiResponse":{"type":"object","description":"Response object for paginated API responses.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"PAGINATED","enum":["PAGINATED"],"description":"Type of response, indicating a paginated response.\n"},"data":{"type":"object","properties":{"page_size":{"type":"integer","default":10,"description":"Number of items per page in the response.\n"},"item_count":{"type":"integer","default":10,"description":"Number of items in the current page.\n"},"total":{"type":"integer","default":100,"description":"Total number of items across all pages.\n"},"page_count":{"type":"integer","default":10,"description":"Total number of pages.\n"},"page_index":{"type":"integer","default":1,"description":"Current page index.\n"},"offset":{"type":"integer","default":0,"description":"Offset of the first item in the current page.\n"}}}}},"Baselines":{"type":"array","items":{"$ref":"#/components/schemas/Baseline"}},"Baseline":{"allOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the baseline"},"name":{"type":"string","description":"A name describing the baseline"},"type":{"type":"string","enum":["STATIC","ROLLING"],"description":"The type of baseline, indicating whether it is STATIC or ROLLING."},"row_count":{"type":"integer","nullable":true,"description":"Number of rows in the baseline"},"start_time":{"type":"integer","description":"Start time in milliseconds from epoch for production data","nullable":true},"end_time":{"type":"integer","description":"End time in milliseconds from epoch for production data","nullable":true},"offset_delta":{"type":"integer","description":"x is offset delta for offset=x*window_bin_size","nullable":true,"minimum":1},"window_bin_size":{"$ref":"#/components/schemas/WindowBinSize"},"model":{"$ref":"#/components/schemas/ModelCompact"},"project":{"$ref":"#/components/schemas/ProjectCompact"},"organization":{"$ref":"#/components/schemas/OrganizationCompact"},"environment":{"$ref":"#/components/schemas/EnvironmentCompact"}},"required":["id","name","type","row_count","model","project","organization","environment"]},{"$ref":"#/components/schemas/TimestampResponse"}]},"WindowBinSize":{"type":"string","description":"Window size to be used for relative baseline","enum":["Hour","Day","Week","Month"]},"ModelCompact":{"type":"object","title":"ModelCompact","description":"Compact version of a model which can be included in the response of relevant APIs.\n","required":["id","name","version"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the model.\n"},"name":{"type":"string","description":"Name of the model.\n"},"version":{"type":"string","description":"Version of the model.\n"}}},"ProjectCompact":{"type":"object","title":"ProjectCompact","description":"Compact version of a project which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project.\n"},"name":{"type":"string","description":"Name of the project.\n"},"asset_type":{"type":"string","enum":["ML_MODEL","GEN_AI_APP"],"description":"Type of assets the project can have.\n"}}},"OrganizationCompact":{"type":"object","title":"OrganizationCompact","description":"Compact version of an organization which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the organization.\n"},"name":{"type":"string","description":"Name of the organization.\n"}}},"EnvironmentCompact":{"type":"object","title":"EnvironmentCompact","description":"Compact version of an environment which can be included in the response of relevant APIs.\n","required":["id","type","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the environment.\n"},"type":{"type":"string","enum":["PRE_PRODUCTION","PRODUCTION"],"description":"Type of the environment (e.g., pre-production, production).\n"},"name":{"type":"string","description":"Name of the environment.\n"}}},"TimestampResponse":{"type":"object","title":"timestamp","description":"To record created at and updated at timestamp fields","required":["created_at","updated_at"],"properties":{"created_at":{"type":"string","format":"date-time","description":"To capture created at timestamp"},"updated_at":{"type":"string","format":"date-time","description":"To capture updated at timestamp"}}},"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/v3/models/{model_id}/baselines":{"get":{"tags":["baseline-v3"],"summary":"List of baselines of a model","description":"List of baselines of a model","operationId":"getModelBaselinesV3","parameters":[{"$ref":"#/components/parameters/model_id"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/ordering"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/offset"}],"responses":{"200":{"description":"List of baselines of a model","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedApiResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"items":{"$ref":"#/components/schemas/Baselines"}}}}}]}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```
